Korjaus: .NET Framework 4.7 ei ole tuettu tässä käyttöjärjestelmässä

Neuvovat: Klikkaa Korjata Windows Virheitä Ja Optimoida Järjestelmän Suorituskykyä

.Net Framework on Microsoftin käyttöön ottama ohjelmointiinfrastruktuuri. Tarvitset .Net Framework -sovelluksen erilaisten sovellusten ja palveluiden ajamiseen. Suurin osa .Net Framework -sovellusta vaativista sovelluksista on pakattu myös asennustiedostoihin. Joten se asennetaan automaattisesti järjestelmään, kun asennat sovelluksen. Saatat kuitenkin nähdä virheen ”.NET Framework 4.7 ei tueta tässä käyttöjärjestelmässä” asennettaessa sovellusta. Tämä virhe estää sinua asentamasta sovellusta onnistuneesti. Saatat nähdä tämän virheen yrittäessäsi asentaa .Net-kehys itsenäisenä sovelluksena / palveluna.

Syy, miksi tämä virhe tapahtuu, on sama kuin virhesanomassa mainittu. Vaikka .Net Framework -tukea tuetaan Windows 10: ssä, mutta se ei ole yhteensopiva kaikkien Windows 10 -versioiden kanssa. Jos näet tämän viestin, tämän virheen todennäköisin syy on, että käytät Windows 10 -versiota, joka ei ole yhteensopiva .Net-kehyksen kanssa.

Tapa 1: Päivitä Windows 10

Ainoa ratkaisu tähän ongelmaan on yksinkertaisesti päivittää Windows 10 -käyttöjärjestelmä. On suositeltavaa tarkistaa Windows-päivitykset, vaikka olisitkin uusimmassa Windows 10 -versiossa. Koska ongelman syynä on yhteensopimaton käyttöjärjestelmä, kaikkien käytettävissä olevien Windows 10 -sovellusten asentaminen päivitykset ratkaisevat todennäköisesti ongelman. Voit myös tarkistaa Windows 10: n tarkan version ja .Net Framework -sovelluksen vaatiman version noudattamalla alla annettuja ohjeita.

  1. Pidä Windows-näppäintä painettuna ja paina R
  2. Kirjoita winver ja paina Enter

  1. Versiosi tulee mainita vasta avatussa ikkunassa. Version jälkeinen numero (toisella rivillä) on versionumerosi. Numeron tulisi olla 1507 tai 1709. Ensimmäiset 2 numeroa ovat vuosi ja toinen 2 tarkoittaa kuukautta. Joten jos sinulla on 1709-versio, se tarkoittaa, että käytät versiota, joka julkaistiin syyskuussa 2017

  1. Nyt sinun on varmistettava, että sinulla on .Net Framework -yhteensopiva Windows 10 -versio. Napsauta tätä ja napsauta Järjestelmävaatimukset

Jos tarkastelet Tuettu käyttöjärjestelmä -osaa, se sanoo Windows 10 Anniversary Update ja Windows 10 Creators päivityksen . Koska monet ihmiset eivät tunne vuosipäivän ja luojien päivityksiin liittyviä versionumeroita, olemme maininneet ne alla

  • Marraskuun päivitys (1511)
  • Vuosipäivän päivitys (14393)
  • Luojien päivitys (1703)
  • Syksyn luojien päivitys (1709)
  • Kevään tekijöiden päivitys (1803)

Kuten näette, vuosipäiväpäivityksen versionumero on 14393 ja Luojapäivityksen versio on 1703. Joten jos sinulla on versio, joka on alempi kuin 14393, et voi asentaa .Net Framework 4.7 -käyttöjärjestelmää Windows 10: ään. Päivitä nyt vain Windows ja varmista, että sinulla on uusin Windows 10 -versio, ja yritä uudelleen.

Mielenkiintoisia Artikkeleita